CairoPatternType
CairoPattern::__construct
Cairo
PHP Manual

# The CairoPattern class

## Introduction

CairoPattern is the abstract base class from which all the other pattern classes derive. It cannot be instantiated directly

## Class synopsis

CairoPattern
CairoPattern {
/* Methods */
__construct ( void )
public void getMatrix ( void )
public int getType ( void )
public void setMatrix ( string `$matrix` )
public int status ( void )
}

## Table of Contents

- CairoPattern::__construct — The __construct purpose
- CairoPattern::getMatrix — The getMatrix purpose
- CairoPattern::getType — The getType purpose
- CairoPattern::setMatrix — The setMatrix purpose
- CairoPattern::status — The status purpose

CairoPatternType
CairoPattern::__construct
Cairo
PHP Manual